/* GENERAL */

body {
    --primary900: hsl(219, 79%, 96%);
    --primary800: hsl(219, 79%, 86%);
    --primary700: hsl(219, 79%, 76%);
    --primary600: hsl(219, 79%, 66%);
    --primary500: hsl(219, 79%, 56%);


    --red95: hsl(0, 100%, 95%);
    --red90: hsl(0, 100%, 90%);
    --red50: hsl(0, 100%, 50%);


    --lightest-pink: hsl(351, 100%, 86%);
    --pink: hsl(351, 100%, 66%);


    --lightest-orange: hsl(16, 100%, 86%);
    --orange: hsl(16, 100%, 66%);


    --lightest-yellow: hsl(55, 100%, 86%);
    --yellow: hsl(55, 100%, 66%);


    --lightest-green: hsl(115, 100%, 86%);
    --green: hsl(115, 100%, 66%);


    --lightest-turquoise: hsl(176, 100%, 86%);
    --turquoise: hsl(176, 100%, 66%);

    
    margin: 0 2em 2em 2em;
    font-family: sans-serif;
}

a {
    text-decoration: none;
}

/* HEADER */

header h1 {
    font-size: 4em;
    letter-spacing: -3px;
    font-weight: bold;
    line-height: 60px;
    margin: 10px -5px;
}

header h1 a:any-link {
    color: var(--primary600);
}

.home-header,
.portfolio-header,
.connexion-header,
.edition-header,
.images-header {
        margin-left: -2em;
        padding: 2em;
        width: 100%;
    }

@media(min-width: 45em) {

    .home-header,
    .home-main,
    .portfolio-header,
    .portfolio-main,
    .connexion-header,
    .connexion-main,
    .edition-header,
    .edition-main,
    .images-header,
    .images-main {
        position: fixed;
        height: 100%;
        overflow-y: auto;
    }

    .home-header,
    .portfolio-header,
    .connexion-header,
    .edition-header,
    .images-header {
        width: 21em;
    }

    .home-header,
    .portfolio-header,
    .edition-header,
    .images-header {
        box-shadow: 0px 0px 20px #ddd;
    }

    .connexion-header {
        box-shadow: 0px 0px 20px var(--primary500);
        z-index: 1;
        background-color: white;
    }

}

.bonjour {
    font-size: 1.2rem;
}

.je-realise {
    font-size: 1.5rem;
}

.category-link {
    font-weight: bold;
    transition-duration: 0.5s;
}

.pink {
    box-shadow: inset 0px -5px var(--lightest-pink);
}

.orange {
    box-shadow: inset 0px -5px var(--lightest-orange);
}

.yellow {
    box-shadow: inset 0px -5px var(--lightest-yellow);
}

.green {
    box-shadow: inset 0px -5px var(--lightest-green);
}

.turquoise {
    box-shadow: inset 0px -5px var(--lightest-turquoise);
}

.pink:hover,
.pink-active {
    box-shadow: inset 0px -30px var(--lightest-pink);
}

.orange:hover,
.orange-active {
    box-shadow: inset 0px -30px var(--lightest-orange);
}

.yellow:hover,
.yellow-active {
    box-shadow: inset 0px -30px var(--lightest-yellow);
}

.green:hover,
.green-active {
    box-shadow: inset 0px -30px var(--lightest-green);
}

.turquoise:hover,
.turquoise-active {
    box-shadow: inset 0px -30px var(--lightest-turquoise);
}

.category-link:any-link {
    color: black;
}

/* PORTFOLIO */

.portfolio-h1 {
    font-size: 1.2em;
    background-color: var(--primary900);
    border-radius: 30px;
    padding-left: 20px;
    width: 220px;
    font-weight: bold;
    line-height: 40px;
    margin: 0px -2px;
    letter-spacing: 0px;
    color: var(--primary600);
}

.portfolio-h1:hover {
    background-color: var(--primary600);
    color: white;
}

.portfolio-titre {
    font-size: 3em;
    line-height: 60px;
    margin: 0px;
    margin-top: 30px;
    margin-left: -4px;
    letter-spacing: -1px;
}

.portfolio-titre p {
    margin: 0px;
}

.portfolio-categorie {
    margin-top: 20px;
    margin-bottom: 5px;
    font-weight: bold;
    background-color: #EEE;
    padding: 5px 10px;
    border-radius: 20px;
    font-size: 0.9em;
    text-transform: uppercase;
    display: inline-block;
}

.portfolio-a-categorie:any-link {
    color: black;
}

.portfolio-header {
    .Affiche:hover .portfolio-categorie {
        background-color: var(--lightest-pink);
    }
    .Logo:hover .portfolio-categorie {
        background-color: var(--lightest-orange);
    }
    .Artwork:hover .portfolio-categorie {
        background-color: var(--lightest-yellow);
    }
    .Programmation:hover .portfolio-categorie {
        background-color: var(--lightest-green);
    }
    .Web:hover .portfolio-categorie {
        background-color: var(--lightest-turquoise);
    }
}


/* CONNEXION */

.connexion-header form {
    display: flex;
    flex-direction: column;
}

/* TABLEAU DE BORD */

.tableau-bord {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    margin-left: -40px;
}

.tableau-bord li {
    background-color: var(--primary900);
    padding: 10px;
    border-radius: 10px;
}

.tableau-bord li:hover {
    background-color: var(--primary800);
}

.button-deconnexion {
    cursor: pointer;
    border-radius: 10px;
    background-color: var(--red95);
    border: 1px solid var(--red95);
    padding: 10px;
    font-size: 0.92em;
    width: 100%;
    text-align: left;
}

.button-deconnexion:hover {
    background-color: var(--red90);
    border: 1px solid var(--red90);
}

/* CONTACT */

.contact {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: -10px;
    margin-bottom: 20px;
}

.contact p {
    line-height: 30px;
}

.pictoenvoyer {
    width: 18px;
    position: relative;
    top: 4px;
}

/* MAIN */

.edition-titre, .images-titre {
    color: var(--primary600);
    font-size: 2em;
}

@media(min-width: 45em) {

    .home-main,
    .portfolio-main,
    .edition-main,
    .images-main {
        margin-left: 24em;
    }

    .connexion-main,
    .edition-main {
        width: 100%;
    }

    .connexion-main {
        background-color: var(--primary600);
        width: 100%;
    }

    .edition-titre {
        margin-left: 0.5em;
    }
}

main h3 a:any-link {
    display: block;
    text-align: left;
    line-height: 40px;
    width: 100%;
    background-color: #FFF;
    color: #000;
    margin-left: 0em;
    border-bottom: 1px solid #000;
}

/* LISTES */

.galerie,
.listeprojets {
    margin: 2em 1em 2em -2em;
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
}

li {
    list-style: none;
    color: #000;
}

@media(max-width: 45em) {
    
    .galerie,
    .listeprojets {
        margin-top: -30px;
        margin-right: 0em;
        padding-left: 2em;
    }
    
}

@media(min-width: 60em) {

    .listeprojets a {
        flex: 45.9% 0;
    }
}

@media(min-width: 85em) {

    .listeprojets a {
        flex: 30.3% 0;
    }
}

.listeprojets .div-img {
    border-radius: 10px;
    box-shadow: 1px 1px 2px gray;
    overflow: hidden;
    aspect-ratio: 1/1;
}

.listeprojets img {
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
    aspect-ratio: 1/1;
    transition-duration: 0.5s;
}

.listeprojets img:hover {
    scale: 1.05;
}

.container div {
    font-weight: bold;
    margin-top: 5px;
    margin-bottom: 10px;
}

.categorie {
    font-weight: bold;
    background-color: #DDD;
    padding: 5px 10px;
    border-radius: 20px;
    font-size: 0.7em;
    text-transform: uppercase;
}

.lien-mail:any-link,
.lien-cv:any-link,
.francais:any-link,
.english:any-link {
    background-color: #EEE;
    color: #000;
    border-radius: 20px;
    padding: 5px 10px;
}

.lien-mail:hover,
.lien-cv:hover,
.francais:hover,
.english:hover {
    background-color: #DDD;
}

.galerie li {
    box-shadow: 0px 0px 4px -1px gray;
}

.galerie img {
    max-width: 50vw;
    max-height: 75vh;
    margin-bottom: -5px;
}

@media(max-width: 45em) {
    .galerie img {
        max-width: 80vw;
    }
}

/* FORM */

.edition-form {
    display: flex;
    flex-direction: column;
}

@media(min-width: 45em) {
    .edition-form {
        width: 40%;
        display: flex;
        flex-direction: column;
        margin-left: 1em;
    }
}

input[type=text],
input[type=password],
textarea,
select,
.edition-button-publier,
.connexion-button-connexion {
    padding: 10px 15px;
    margin-top: 10px;
    border-radius: 30px;
}

input[type=text],
input[type=password],
textarea,
select {
    border: 0px;
    background: aliceblue;
}

textarea {
    height: 50px;
    font-family: "Noto Sans";
    font-size: 9.75pt;
}

input[type=file] {
    width: 100%;
}

select,
::picker(select) {
    appearance: base-select;
}

select {
    height: 40px;
}

input[type="file"]::file-selector-button {
    border-radius: 4px;
    padding: 0 16px;
    height: 40px;
    cursor: pointer;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.16);
    box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.05);
    margin-right: 16px;
    margin-top: 10px;
}

.edition-button-publier,
.connexion-button-connexion {
    cursor: pointer;
    background-color: var(--primary600);
    border: 1px solid var(--primary600);
    color: white;
    width: 120px;
    margin: auto;
    margin-top: 10px;
}

.edition-button-publier:hover,
.connexion-button-connexion:hover {
    background-color: var(--primary500);
    border: 1px solid var(--primary500);
}

.p-insc-conn {
    text-align: center;
    color: grey;
    font-size: 0.7em;
}

/* TABLEAU IMAGES */

table {
    text-align: center;
}

tbody tr:nth-child(odd) {
    background-color: var(--primary900);
}

th, td {
    width: 20vw;
    padding: 10px;
}

td img {
    max-width: 150px;
    max-height: 200px;
}

/* FOOTER */

footer {
    font-size: 0.8em;
}

.langues {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: -10px;
    margin-top: -20px;
}

.langues p {
    line-height: 30px;
}

@media(min-width: 45em) {
    footer {
        position: absolute;
        bottom: 10px;
    }
}

@media(max-height: 550px) {
    footer {
        top: 480px;
    }
}
